<div class="card">
    <div class="card-body">
        <p-table #domainTable [columns]="cols" [value]="listDomainsData" selectionMode="multiple" [(selection)]="selectedDomain"
            (onRowSelect)="onRowSelect($event)" [paginator]="true" [rows]="7" [responsive]="true">
            <ng-template pTemplate="caption">
                <div class="ui-helper-clearfix">
                    <div style="float: left; text-align: right">
                        <!-- <i class="fa fa-search" style="margin:4px 4px 0 0"></i> -->
                        <input type="text" pInputText size="50" placeholder="Global Filter" (input)="domainTable.filterGlobal($event.target.value, 'contains')"
                            style="width:auto; border: 2px solid whitesmoke">
                    </div>
                    <button type="button" class="btn btn-info" icon="fa fa-file-o" iconPos="left" (click)="domainTable.exportCSV()"
                        style="float:right"> All Data</button>
                    <button type="button" class="btn btn-info" icon="fa fa-file" iconPos="left" (click)="domainTable.exportCSV({selectionOnly:true})"
                        style="float:right"> Selected Only</button>

                </div>
            </ng-template>
            <ng-template pTemplate="header" let-columns>
                <tr>
                    <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                        {{col.header}}
                        <p-sortIcon [field]="col.field"></p-sortIcon>
                    </th>
                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-rowData let-columns="columns">
                <tr [pSelectableRow]="rowData">
                    <td *ngFor="let col of columns">
                        {{rowData[col.field]}}
                    </td>
                </tr>
            </ng-template>
            <ng-template pTemplate="summary" let-rowData>
                <div style="text-align:left">
                    <button type="button" class="btn btn-info" icon="fa fa-plus" (click)="showDialogToAdd()"> Add
                    </button>
                </div>
            </ng-template>
        </p-table>

        <p-dialog header="Domain Details" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"
            [style]="{width: '350px'}">
            <div class="ui-g ui-fluid" *ngIf="domainInfo">
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label for="name">Name</label>
                    </div>
                    <div class="ui-g-8">
                        <input pInputText id="name" [(ngModel)]="domainInfo.name" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label for="hosting">Hosting</label>
                    </div>
                    <div class="ui-g-8">
                        <input pInputText id="hosting" [(ngModel)]="domainInfo.hosting" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label for="expiry"> Expiry </label>
                    </div>
                    <div class="ui-g-8">
                        <input pInputText id="expiry" [(ngModel)]="domainInfo.expiry" />
                    </div>
                </div>
            </div>
            <p-footer>
                <div class="ui-dialog-buttonpane ui-helper-clearfix">
                    <button type="button" class="btn btn-info" icon="fa fa-close" (click)="delete()"> Delete </button>
                    <button type="button" class="btn btn-info" icon="fa fa-check" (click)="save()"> Save </button>
                </div>
            </p-footer>
        </p-dialog>
    </div>
</div>